CREATE TABLE `banned` (
  `id` bigint(100) NOT NULL auto_increment,
  `useragent` varchar(50) NOT NULL,
  `userip` varchar(15) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `forums` (
  `id` bigint(100) NOT NULL auto_increment,
  `title` varchar(50) NOT NULL,
  `description` varchar(100) NOT NULL,
  `position` int(3) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `forums` VALUES (1, 'Info', 'Info about MySite.', 1);

CREATE TABLE `invites` (
  `id` bigint(100) NOT NULL auto_increment,
  `user` bigint(100) NOT NULL,
  `code` varchar(15) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `online` (
  `id` bigint(100) NOT NULL auto_increment,
  `user` bigint(100) NOT NULL,
  `where` varchar(100) NOT NULL,
  `time` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `posts` (
  `id` bigint(100) NOT NULL auto_increment,
  `thread` bigint(100) NOT NULL,
  `post` varchar(5000) NOT NULL,
  `poster` bigint(100) NOT NULL,
  `date` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `private` (
  `id` bigint(100) NOT NULL auto_increment,
  `from` bigint(100) NOT NULL,
  `to` bigint(100) NOT NULL,
  `date` int(10) NOT NULL,
  `message` varchar(5000) NOT NULL default '',
  `read` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `recover` (
  `id` bigint(100) NOT NULL auto_increment,
  `user` bigint(100) NOT NULL,
  `code` varchar(15) NOT NULL,
  `date` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `shoutbox` (
  `id` bigint(100) NOT NULL auto_increment,
  `user` bigint(100) NOT NULL,
  `message` varchar(5000) NOT NULL,
  `date` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `shoutbox` VALUES (1, 1, 'Krimos Beta!', 1299955933);

CREATE TABLE `threads` (
  `id` bigint(100) NOT NULL auto_increment,
  `forum` bigint(100) NOT NULL,
  `title` varchar(30) NOT NULL,
  `post` varchar(5000) NOT NULL,
  `poster` bigint(100) NOT NULL,
  `date` int(10) NOT NULL,
  `lastpost` int(10) NOT NULL,
  `pinned` tinyint(1) NOT NULL,
  `locked` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `users` (
  `id` bigint(100) NOT NULL auto_increment,
  `username` varchar(25) NOT NULL,
  `password` varchar(60) NOT NULL,
  `email` varchar(30) NOT NULL,
  `date` int(10) NOT NULL,
  `useragent` varchar(150) NOT NULL,
  `userip` varchar(15) NOT NULL,
  `status` tinyint(1) NOT NULL default '1',
  `banned` tinyint(1) NOT NULL default '0',
  `approved` tinyint(1) NOT NULL default '0',
  `bantime` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `users` VALUES (1, 'admin', 'c3284d0f94606de1fd2af172aba15bf3', 'admin@mysite.com', 1299955933, 'Opera/9.80 (Windows NT 6.1; U; en) Presto/2.7.62 Version/11.01', '192.168.0.5', 3, 0, 1, 0);
